gnome-sharp 2.20.0.0 2.24.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.Button System.Obsolete A button for selecting a color. ColorPicker provides a button for selecting a color. When pressed, a dialog is opened allowing the user to select a color.
- Constructor
  2.24.0.0
  Create a new ColorPicker widget.
  To be added
- Constructor
  2.24.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.24.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Property
  2.24.0.0
  GLib.Property("alpha")
  System.UInt32 The alpha value for the color in the widget. The current value of the channel. To be added
- Property
  2.24.0.0
  GLib.Property("blue")
  System.UInt32 The blue value for the color in the widget. The current value of the channel. To be added
- Event
  2.24.0.0
  GLib.Signal("color_set")
  Gnome.ColorSetHandler Emitted when a color is selected in the color dialog. To be added
- Property
  2.24.0.0
  GLib.Property("dither")
  System.Boolean Whether the sample is dithered or simply a solid color. Current dither settings for the widget. To be added
- Method
  2.24.0.0
  System.Void `` `` `` `` Location to store the red value. Location to store the green value. Location to store the blue value. Location to store the alpha value. Get the doubles for the current color in the widget. To be added
- Method
  2.24.0.0
  System.Void `` `` `` `` Location to store the red value. Location to store the green value. Location to store the blue value. Location to store the alpha value. Get the UInt16s for the current color in the widget. To be added
- Method
  2.24.0.0
  System.Void `` `` `` `` Location to store the red value. Location to store the green value. Location to store the blue value. Location to store the alpha value. Get the bytes for the current color in the widget. To be added
- Property
  2.24.0.0
  GLib.Property("green")
  System.UInt32 The green value for the color in the widget. The current value of the channel. To be added
- Property
  2.24.0.0
  GLib.GType GType Property. a Returns the native value for .
- Method
  2.24.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideColorSet", Type=typeof(Gnome.ColorPicker))
  System.Void `` `` `` `` a a a a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Property
  2.24.0.0
  GLib.Property("red")
  System.UInt32 The red value for the color in the widget. The current value of the channel. To be added
- Method
  2.24.0.0
  System.Void `` `` `` `` The red value to set. The green value to set. The blue value to set. The alpha value to set. Set the color in the widget. To be added
- Method
  2.24.0.0
  System.Void `` `` `` `` The red value to set. The green value to set. The blue value to set. The alpha value to set. Set the color in the widget. To be added
- Method
  2.24.0.0
  System.Void `` `` `` `` The red value to set. The green value to set. The blue value to set. The alpha value to set. Set the color in the widget. To be added
- Property
  2.24.0.0
  GLib.Property("title")
  System.String The title to be displayed on the color selection dialog. Current text to be used for the color selection dialog. To be added
- Property
  2.24.0.0
  GLib.Property("use_alpha")
  System.Boolean Enable/Disable support for an alpha channel for the color. Curren rule for the use of the alpha channel. To be added